$SET NOVERIFY
$!
$!  THIS COMMAND PROCEDURE IS SUITED TO RUN THE PAWLEY PROGRAM IN INTERAC-
$!  TIVE CYCLIC MODE. IT IS ASSUMED THE EXISTENCE OF A SET OF SEPARATED
$!  INTENSITY FILES. THESE FILES ARE CHARACTERIZED BY A CHARACTER-CODE 
$!  (3. CHAR. MAX.) FOLLOWED BY A NUMBER-CODE. EXAMPLE:
$!      FIL1.DAT, FIL2.DAT, FIL3.DAT,......FILN.DAT
$!  THESE FILES MAY BE CREATED BY USING THE SEPFNEW (OR SEPFOLD) PROGRAM
$!  WHICH PERFORM THIS SEPARATION FROM FILES MYFILE.F1B (F20).
$!
$!  IN ADDITION TO THE SET OF INTENSITY FILES, YOU NEED THREE INITIAL
$!  FILES:  FILIN.PAR, FILIN.BAC AND FIL.FLG
$!  THE .PAR AND .BAC FILES ARE COPIED TO FILI.PAR AND FILI.BAC
$!  WHICH ARE DELETED IN COURSE OF CYCLIC REFINEMENTS, SAVING THE
$!  ORIGINAL FILES.
$!  THE FILE FIL.FLG IS THE FLAG FILE FOR THE REFINEMENTS, IN THIS
$!  PROCEDURE IT IS THE SAME FILE IN ALL CASES. 
$!
$WRITE SYS$OUTPUT " *** PROCEDURE TO RUN SEQUENTIALLY THE PAWLEY PROGRAM ***"
$WRITE SYS$OUTPUT "    "
$INQUIRE YY "HAVE YOU CREATED SEQUENTIAL-SEPARATED FILES (Y/N)"
$IF YY .NES. "Y" THEN EXIT
$ON ERROR THEN EXIT
$INQUIRE FILE "CODE OF THE FILES (E.G. FIL)"
$INQUIRE I "CODE NUMBER OF THE FIRST FILE"
$INQUIRE NT "CODE NUMBER OF THE LAST FILE"
$INQUIRE NRP "NUMBER OF RUNS FOR EACH FILE (>=2)"
$NRP=NRP-1
$COPY 'FILE'IN.PAR 'FILE''I.PAR
$COPY 'FILE'IN.BAC 'FILE''I.BAC
$ASS  'FILE'IN.FLG FOR002
$IINI=I
$IF I.GT.NT THEN GOTO BEGIN2
$BEGIN:
$If I.GT.NT THEN GOTO FINAL
$WRITE SYS$OUTPUT " ''FILE'''I' "
$J=0
$REPITE:
$J=J+1
$ASS 'FILE''I.PAR FOR005
$ASS 'FILE''I.PRO FOR007
$ASS 'FILE''I.NEW FOR009
$ASS 'FILE''I.OUT FOR010
$ASS 'FILE''I.REF FOR014
$ASS 'FILE''I.SHX FOR037
$ASS 'FILE''I.XRS FOR038
$ASS 'FILE''I.NBA FOR039
$ASS 'FILE''I.BAC FOR041
$ASS 'FILE''I.DAT FOR042
$RUN [UA]PAWLEY
$DEASS FOR005
$DEASS FOR009
$DEASS FOR007
$DEASS FOR010
$DEASS FOR014
$DEASS FOR037
$DEASS FOR038
$DEASS FOR039
$DEASS FOR041
$DEASS FOR042
$DEL 'FILE''I.OUT;*         !OTHERWISE EXCEED DISK QUOTA
$DEL 'FILE''I.XRS;*         !NO DEL. ONLY IN NO SEQUENTIAL FITTINGS
$DEL 'FILE''I.SHX;*         !           "          "
$DEL 'FILE''I.PRO;*         !
$DEL 'FILE''I.BAC;*         !
$DEL 'FILE''I.PAR;*         !
$COPY 'FILE''I.NBA 'FILE''I.BAC
$REN 'FILE''I.NEW 'FILE''I.PAR
$DEL 'FILE''I.NBA;*         !NO DEL. IF YOU WANT TO KEEP THE BACK. FILES
$IF J.LE.NRP THEN GOTO REPITE
$L=I+1
$REN 'FILE''I.PAR 'FILE''L.PAR
$REN 'FILE''I.BAC 'FILE''L.BAC 
$If I .EQ. IINI THEN COPY 'FILE''I.REF 'FILE'OUT.RES
$If I .GT. IINI THEN COPY 'FILE'OUT.RES,'FILE''I.REF 'FILE'OUT.RES
$pur 'FILE'OUT.RES
$!pur 'FILE''I.NBA        !IF KEEPING,PURG. TO KEEP THE LATEST BACK. FILES
$del 'FILE''I.REF;*
$I=I+1
$GOTO BEGIN
$BEGIN2:
$If I.LT.NT THEN GOTO FINAL
$WRITE SYS$OUTPUT " ''FILE'''I' "
$J=0
$REPITE2:
$J=J+1
$ASS 'FILE''I.PAR FOR005
$ASS 'FILE''I.PRO FOR007
$ASS 'FILE''I.NEW FOR009
$ASS 'FILE''I.OUT FOR010
$ASS 'FILE''I.REF FOR014
$ASS 'FILE''I.SHX FOR037
$ASS 'FILE''I.XRS FOR038
$ASS 'FILE''I.NBA FOR039
$ASS 'FILE''I.BAC FOR041
$ASS 'FILE''I.DAT FOR042
$RUN DUA4:[C5.RODRIGUEZ.PAWDEF]PAWLEY
$DEASS FOR005
$DEASS FOR009
$DEASS FOR007
$DEASS FOR010
$DEASS FOR014
$DEASS FOR037
$DEASS FOR038
$DEASS FOR039
$DEASS FOR041
$DEASS FOR042
$DEL 'FILE''I.OUT;*         !OTHERWISE EXCEED DISK QUOTA
$DEL 'FILE''I.XRS;*         !NO DEL. ONLY IN NO SEQUENTIAL FITTINGS
$DEL 'FILE''I.SHX;*         !           "          "
$DEL 'FILE''I.PRO;*         !
$DEL 'FILE''I.BAC;*         !
$DEL 'FILE''I.PAR;*         !
$COPY 'FILE''I.NBA 'FILE''I.BAC
$REN 'FILE''I.NEW 'FILE''I.PAR
$DEL 'FILE''I.NBA;*         !NO DEL. IF YOU WANT TO KEEP THE BACK. FILES
$IF J.LE.NRP THEN GOTO REPITE2
$L=I-1
$REN 'FILE''I.PAR 'FILE''L.PAR
$REN 'FILE''I.BAC 'FILE''L.BAC 
$If I .EQ. IINI THEN COPY 'FILE''I.REF 'FILE'OUT.RES
$If I .LT. IINI THEN COPY 'FILE'OUT.RES,'FILE''I.REF 'FILE'OUT.RES
$pur 'FILE'OUT.RES
$!pur 'FILE''I.NBA        !IF KEEPING,PURG. TO KEEP THE LATEST BACK. FILES
$del 'FILE''I.REF;*
$I=I-1
$GOTO BEGIN2
$FINAL:
$DEASS FOR002
